#!/bin/bash

projectPath=$(cd `dirname $0`; pwd)
dstConfigFile=$projectPath/../out/.config
srcConfigPath=$projectPath/config
srcRootPath=$(dirname $(dirname $(readlink -f $0)))
source $projectPath/common_config.sh

funCheckOutDir()
{
	local dstOutDir=$projectPath/../out
	if [ ! -d $dstOutDir ] 
	then
		mkdir -p $dstOutDir
	fi
}

funCheckOutDir
if [ $# == 3 ];then
	strVendor=$1
	strProject=$2
	strChip=$3
fi
if [ $# == 0 ];then
	funSelectPara
fi
funGenerateConfigFile $dstConfigFile $srcConfigPath

